org.eclipse.ease.debugging.events

## Class ResumeRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.ResumeRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class ResumeRequest
    extends AbstractEvent
    implements IModelRequest

### Constructor Summary

Constructors
Constructor and Description
`ResumeRequest(int type, Thread thread)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResumeRequest

    public ResumeRequest(int type,
                         Thread thread)

Constructor.

Parameters:
  `type` - one of `DebugEvent.CLIENT_REQUEST`, `DebugEvent.STEP_INTO`, `DebugEvent.STEP_OVER`, `DebugEvent.STEP_RETURN`
  `thread` - thread to resume

### Method Detail

#### getType

    public int getType()